components:
  schemas:
    OutletGroup_v1_1_3_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        '#OutletGroup.PowerControl':
          $ref: '#/components/schemas/OutletGroup_v1_1_3_PowerControl'
        '#OutletGroup.ResetMetrics':
          $ref: '#/components/schemas/OutletGroup_v1_1_3_ResetMetrics'
        Oem:
          $ref: '#/components/schemas/OutletGroup_v1_1_3_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    OutletGroup_v1_1_3_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        Outlets:
          description: The set of outlets in this outlet group.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: This property shall be an array of links to resources
            of type `Outlet` that represent the outlets in this outlet group.
        Outlets@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    OutletGroup_v1_1_3_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    OutletGroup_v1_1_3_OutletGroup:
      additionalProperties: false
      description: The `OutletGroup` schema contains definitions for an electrical
        outlet group.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/OutletGroup_v1_1_3_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        ConfigurationLocked:
          description: Indicates whether the configuration is locked.
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether modification requests
            to this resource are not permitted.  If `true`, services shall reject
            modification requests to other properties in this resource.
          x-versionAdded: v1_1_0
        CreatedBy:
          description: The creator of this outlet group.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall contain the name of the person or
            application that created this outlet group.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        EnergykWh:
          description: The energy (kWh) for this outlet group.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorEnergykWhExcerpt
          - enum:
            - null
          x-excerptCopy: SensorEnergykWhExcerpt
          x-longDescription: This property shall contain the total energy, in kilowatt-hour
            units, for this outlet group that represents the `Total` `ElectricalContext`
            sensor when multiple energy sensors exist for this outlet group.  The
            value of the `DataSourceUri` property, if present, shall reference a resource
            of type `Sensor` with the `ReadingType` property containing the value
            `EnergykWh`.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/OutletGroup_v1_1_3_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PowerControlLocked:
          description: Indicates whether power control requests are locked.
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether requests to the
            `PowerControl` action are locked.  If `true`, services shall reject requests
            to the `PowerControl` action.
          x-versionAdded: v1_1_0
        PowerCycleDelaySeconds:
          description: The number of seconds to delay power on after a `PowerControl`
            action to cycle power.  Zero seconds indicates no delay.
          nullable: true
          readOnly: false
          type: number
          x-longDescription: This property shall contain the number of seconds to
            delay power on after a `PowerControl` action to cycle power.  The value
            `0` shall indicate no delay to power on.
        PowerEnabled:
          description: Indicates if the outlet group can be powered.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall contain the power enable state of
            the outlet group.  The value `true` shall indicate that the group can
            be powered on, and the value `false` shall indicate that the group cannot
            be powered.
        PowerOffDelaySeconds:
          description: The number of seconds to delay power off after a `PowerControl`
            action.  Zero seconds indicates no delay to power off.
          nullable: true
          readOnly: false
          type: number
          x-longDescription: This property shall contain the number of seconds to
            delay power off after a `PowerControl` action.  The value `0` shall indicate
            no delay to power off.
        PowerOnDelaySeconds:
          description: The number of seconds to delay power up after a power cycle
            or a `PowerControl` action.  Zero seconds indicates no delay to power
            up.
          nullable: true
          readOnly: false
          type: number
          x-longDescription: This property shall contain the number of seconds to
            delay power up after a power cycle or a `PowerControl` action.  The value
            `0` shall indicate no delay to power up.
        PowerRestoreDelaySeconds:
          description: The number of seconds to delay power on after power has been
            restored.  Zero seconds indicates no delay.
          nullable: true
          readOnly: false
          type: number
          x-longDescription: This property shall contain the number of seconds to
            delay power on after a power fault.  The value `0` shall indicate no delay
            to power on.
        PowerRestorePolicy:
          $ref: http://redfish.dmtf.org/schemas/v1/Circuit.yaml#/components/schemas/Circuit_PowerRestorePolicyTypes
          description: The desired power state of the outlet group when power is restored
            after a power loss.
          readOnly: false
          x-longDescription: This property shall contain the desired `PowerState`
            of the outlet group when power is applied.  The value `LastState` shall
            return the outlet group to the `PowerState` it was in when power was lost.
        PowerState:
          description: The power state of the outlet group.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_PowerState
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain the power state of the outlet
            group.
        PowerStateInTransition:
          description: Indicates whether the power state is undergoing a delayed transition.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the `PowerState`
            property will undergo a transition between on and off states due to a
            configured delay.  The transition may be due to the configuration of the
            power on, off, or restore delay properties.  If `true`, the `PowerState`
            property will transition at the conclusion of a configured delay.
          x-versionAdded: v1_1_0
        PowerWatts:
          description: The power (W) for this outlet group.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorPowerExcerpt
          - enum:
            - null
          x-excerptCopy: SensorPowerExcerpt
          x-longDescription: This property shall contain the total power, in watt
            units, for this outlet group that represents the `Total` `ElectricalContext`
            sensor when multiple power sensors exist for this outlet group.  The value
            of the `DataSourceUri` property, if present, shall reference a resource
            of type `Sensor` with the `ReadingType` property containing the value
            `Power`.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall be used to represent an electrical outlet
        group for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    OutletGroup_v1_1_3_PowerControl:
      additionalProperties: false
      description: This action turns the outlet group on or off.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall control the power state of the outlet group.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    OutletGroup_v1_1_3_PowerControlRequestBody:
      additionalProperties: false
      description: This action turns the outlet group on or off.
      properties:
        PowerState:
          $ref: http://redfish.dmtf.org/schemas/v1/Circuit.yaml#/components/schemas/Circuit_PowerState
          description: The desired power state of the outlet group.
          x-longDescription: This parameter shall contain the desired power state
            of the outlet group.
      type: object
      x-longDescription: This action shall control the power state of the outlet group.
    OutletGroup_v1_1_3_ResetMetrics:
      additionalProperties: false
      description: This action resets metrics related to this outlet group.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall reset any time intervals or counted values
        for this outlet group.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    OutletGroup_v1_1_3_ResetMetricsRequestBody:
      additionalProperties: false
      description: This action resets metrics related to this outlet group.
      properties: {}
      type: object
      x-longDescription: This action shall reset any time intervals or counted values
        for this outlet group.
title: '#OutletGroup.v1_1_3.OutletGroup'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2021.4'
